#ifndef __EFEKT__
#define __EFEKT__

#define refresh 70.0

class EFEKT
{
public:
        EFEKT() {
          start=false;
          end=false;
          counter=0;
          };
        ~EFEKT() {};

        bool start;
        bool end;
        double counter;
        int id;
        static Textures3DS *texture_library;

        virtual int  go(double i) = 0;
        virtual int init() = 0 ;
        virtual int load() = 0 ;
        virtual int free() = 0 ;
        virtual int update() = 0 ;
};

#endif
